summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
Diffstat (limited to 'academic')
-rw-r--r--academic/octave/octave.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/academic/octave/octave.SlackBuild b/academic/octave/octave.SlackBuild
index 72e74b472f..107a2a4b65 100644
--- a/academic/octave/octave.SlackBuild
+++ b/academic/octave/octave.SlackBuild
@@ -68,12 +68,8 @@ make install-strip DESTDIR=$PKG
# install-strip doesn't strip the files in usr/lib/octave-$VERSION,
# so leave this in for now.
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
- | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
- | xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;